Bug 509806 - Review Request: perl-CGI-Application-Server - Simple HTTP server for developing with CGI::Application
Review Request: perl-CGI-Application-Server - Simple HTTP server for developi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 07:37 EDT by Emmanuel Seyman
Modified: 2009-07-23 15:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.061-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:15:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-07-06 07:37:12 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Server/perl-CGI-Application-Server.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Server/perl-CGI-Application-Server-0.061-1.fc11.src.rpm
Description:
This is a simple HTTP server for for use during development with
CGI::Application. At this moment, it serves our needs in a very basic way.
The plan is to release early and release often, and add features when we
need them. That said, we welcome any and all patches, tests and feature
requests (the ones with which are accompanied by failing tests will get
priority).
Comment 1 Parag AN(पराग) 2009-07-06 09:01:33 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1456755
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
411d9acf5048e18f7f4dcae647add0c65caee715  CGI-Application-Server-0.061.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=9, Tests=92,  2 wallclock secs ( 0.05 usr  0.02 sys +  1.96 cusr  0.23 csys =  2.26 CPU)
+ Package perl-CGI-Application-Server-0.061-1.fc12.noarch
Provides: perl(CGI::Application::Server) = 0.061
Requires: perl(CGI) perl(Carp) perl(HTTP::Response) perl(HTTP::Server::Simple::Static) perl(HTTP::Status) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)

APPROVED.
Comment 2 Emmanuel Seyman 2009-07-07 03:54:21 EDT
(In reply to comment #1)
> 
> APPROVED.  

Thanks! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Server
Short Description: Simple HTTP server for developing with CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-07-08 12:24:01 EDT
CVS done.
Comment 4 Parag AN(पराग) 2009-07-16 10:41:41 EDT
Is this built for all requested branches?
Comment 5 Emmanuel Seyman 2009-07-16 11:05:26 EDT
(In reply to comment #4)
>
> Is this built for all requested branches?  

This was waiting for CGI-Application-Dispatch which only got pushed out as an update today. Builds are underway as we speak.
Comment 6 Fedora Update System 2009-07-16 11:12:26 EDT
perl-CGI-Application-Server-0.061-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Server-0.061-1.fc11
Comment 7 Fedora Update System 2009-07-22 17:56:30 EDT
perl-CGI-Application-Server-0.061-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7874
Comment 8 Fedora Update System 2009-07-23 15:14:58 EDT
perl-CGI-Application-Server-0.061-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.